- Main Page
- Classes
- Files

- Class List
- Class Members

# Texture Struct Reference

`#include <flTexture.h>`

List of all members.

## Public Attributes
u32 | texWidth
u32 | texHeight
u32 | texDataWidth
u32 | texDataHeight
u32 | texStride
char * | texData
char * | texMipData [8]
Palette * | texPalette
u32 | texUseCount
u8 | texPixelFormat
bool | texSwizzled
u8 | texMipMaps
bool | texAlpha

## Detailed Description

Definition at line 29 of file flTexture.h.

## Member Data Documentation

u32 Texture::texWidth

Definition at line 30 of file flTexture.h.

Referenced by fontCharWidth(), graphics2dDrawTexture(), spriteCreate(), spriteDraw2dFrame(), texCreate(), texMnpColorReplace(), texPixel(), and texSaveTGA().

u32 Texture::texHeight

Definition at line 31 of file flTexture.h.

Referenced by fontHeight(), graphics2dDrawTexture(), spriteCreate(), texCreate(), texPixel(), texSaveTGA(), texSwizzle(), and texUnswizzle().

u32 Texture::texDataWidth

Definition at line 32 of file flTexture.h.

Referenced by graphics2dDrawTexture(), texBind(), texCreate(), texCreateBlank(), texMipMap(), texMnpColorReplace(), texMoveVMem(), texPixel(), texSaveTGA(), texScreenshot(), texSwizzle(), and texUnswizzle().

u32 Texture::texDataHeight

Definition at line 33 of file flTexture.h.

Referenced by texBind(), texCreate(), texCreateBlank(), texMipMap(), texMoveVMem(), texSwizzle(), and texUnswizzle().

u32 Texture::texStride

Definition at line 35 of file flTexture.h.

Referenced by graphics2dDrawTexture(), graphics2dDrawTextureSection(), texBind(), and texCreate().

char* Texture::texData

Definition at line 36 of file flTexture.h.

Referenced by graphics2dDrawTexture(), graphics2dDrawTextureSection(), texBind(), texCreate(), texCreateBlank(), texFree(), texLoad(), texMnpColorReplace(), texMoveVMem(), texPixel(), texSaveTGA(), texScreenshot(), texSwizzle(), and texUnswizzle().

char* Texture::texMipData[8]

Definition at line 37 of file flTexture.h.

Referenced by texBind(), texCreate(), texFree(), texMoveVMem(), texSwizzle(), and texUnswizzle().

Palette* Texture::texPalette

Definition at line 38 of file flTexture.h.

Referenced by fontDraw2dChar(), fontDraw2dString(), texBind(), texCreate(), texFree(), and texSaveTGA().

u32 Texture::texUseCount

Definition at line 40 of file flTexture.h.

Referenced by texCreate(), texFree(), and texLoad().

u8 Texture::texPixelFormat

Definition at line 41 of file flTexture.h.

Referenced by graphics2dDrawTexture(), graphics2dDrawTextureSection(), texBind(), texBPP(), texCreate(), texMnpColorReplace(), texMoveVMem(), texPalettized(), texSaveTGA(), texSwizzle(), and texUnswizzle().

bool Texture::texSwizzled

Definition at line 42 of file flTexture.h.

Referenced by texBind(), texCreate(), texMipMapAdd(), texSaveTGA(), texSwizzle(), and texUnswizzle().

u8 Texture::texMipMaps

Definition at line 43 of file flTexture.h.

Referenced by graphics3dDrawCubeTextured(), graphics3dDrawSphereTextured(), mdl3dStatDrawTextured(), texBind(), texCreate(), texFree(), texMipMap(), texMipMapAdd(), texMoveVMem(), texSwizzle(), and texUnswizzle().

bool Texture::texAlpha

Definition at line 45 of file flTexture.h.

Referenced by graphics2dDrawTexture(), graphics2dDrawTextureSection(), texCreate(), texSaveTGA(), and texScreenshot().

The documentation for this struct was generated from the following file:

- flTexture.h